Search Results for

Show / Hide Table of Contents

# Class KeyModifiers

Identifies the state of the "shift"-keys within a event.

##### Inheritance

System.Object
KeyModifiers

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class KeyModifiers : Object

### Constructors

#### KeyModifiers()

##### Declaration

    public KeyModifiers()

### Fields

#### Alt

Check if the Alt key was pressed or not.

##### Declaration

    public bool Alt

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### Capslock

Check if the Caps lock key was pressed or not.

##### Declaration

    public bool Capslock

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### Ctrl

Check if the Ctrl key was pressed or not.

##### Declaration

    public bool Ctrl

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### Numlock

Check if the Num lock key was pressed or not.

##### Declaration

    public bool Numlock

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### Scrolllock

Check if the Scroll lock key was pressed or not.

##### Declaration

    public bool Scrolllock

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### Shift

Check if the Shift key was pressed or not.

##### Declaration

    public bool Shift

##### Field Value

Type | Description
--- | ---
System.Boolean |